Climate Supplier 

A supplier of carbon removal.

The Climate supplier object 

Attributes

  • idstring

    Unique identifier for the object.

  • objectstring

    String representing the object’s type. Objects of the same type share the same value.

  • info_urlstring

    Link to a webpage to learn more about the supplier.

  • livemodeboolean

    Has the value true if the object exists in live mode or the value false if the object exists in test mode.

  • locationsarray of objects

    The locations in which this supplier operates.

  • namestring

    Name of this carbon removal supplier.

  • removal_pathwayenum

    The scientific pathway used for carbon removal.

    Possible enum values
    biomass_carbon_removal_and_storage

    Biomass carbon removal and storage

    direct_air_capture

    Direct air capture

    enhanced_weathering

    Enhanced weathering

The Climate supplier object
{
"id": "climsup_charm_industrial",
"object": "climate.supplier",
"info_url": "https://frontierclimate.com/portfolio/charm-industrial",
"livemode": false,
"locations": [
{
"city": "San Francisco",
"country": "US",
"latitude": 37.7749,
"longitude": -122.4194,
"region": "CA"
}
],
"name": "Charm Industrial",
"removal_pathway": "biomass_carbon_removal_and_storage"
}

Retrieve a supplier 

Retrieves a Climate supplier object.

Parameters

No parameters.

Returns

A Climate supplier object.

GET /v1/climate/suppliers/:id
curl https://api.stripe.com/v1/climate/suppliers/climsup_charm_industrial \
-u "sk_test_BQokikJ...2HlWgH4olfQ2sk_test_BQokikJOvBiI2HlWgH4olfQ2:"
Response
{
"id": "climsup_charm_industrial",
"object": "climate.supplier",
"info_url": "https://frontierclimate.com/portfolio/charm-industrial",
"livemode": false,
"locations": [
{
"city": "San Francisco",
"country": "US",
"latitude": 37.7749,
"longitude": -122.4194,
"region": "CA"
}
],
"name": "Charm Industrial",
"removal_pathway": "biomass_carbon_removal_and_storage"
}

List suppliers 

Lists all available Climate supplier objects.

Parameters

No parameters.

More parameters

  • ending_beforestring

  • limitinteger

  • starting_afterstring

Returns

A dictionary with a data property that contains an array of up to limit suppliers, starting after supplier starting_after. Each entry in the array is a separate supplier object. If no more suppliers are available, the resulting array is empty.

GET /v1/climate/suppliers
curl -G https://api.stripe.com/v1/climate/suppliers \
-u "sk_test_BQokikJ...2HlWgH4olfQ2sk_test_BQokikJOvBiI2HlWgH4olfQ2:" \
-d limit=3
Response
{
"object": "list",
"url": "/v1/climate/suppliers",
"has_more": false,
"data": [
{
"id": "climsup_charm_industrial",
"object": "climate.supplier",
"info_url": "https://frontierclimate.com/portfolio/charm-industrial",
"livemode": false,
"locations": [
{
"city": "San Francisco",
"country": "US",
"latitude": 37.7749,
"longitude": -122.4194,
"region": "CA"
}
],
"name": "Charm Industrial",
"removal_pathway": "biomass_carbon_removal_and_storage"
}
]
}